CREATE TABLE Taggeds2 
  ( 
     objectId   VARCHAR NOT NULL REFERENCES Objects(id) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED, 
     eventId    VARCHAR NOT NULL, 
     tagId      VARCHAR NOT NULL REFERENCES Tags(id) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED, 
     lastUpdate DATETIME DEFAULT CURRENT_TIMESTAMP, 
     deleted    INTEGER DEFAULT 0,
     PRIMARY KEY (objectId, tagId),
     FOREIGN KEY (eventId) REFERENCES Events(id) ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED
  );;

INSERT INTO Taggeds2 SELECT objectId, eventId, tagId, lastUpdate, deleted FROM Taggeds;;
 
DROP TABLE Taggeds;;

ALTER TABLE Taggeds2 RENAME TO Taggeds;;
